Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-01-2017 01:48:49

chessou
Membre
Distrib. : HandyLinux-2.5.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce 4.12
Inscription : 17-01-2017

[résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Bonjour à tous,

J'ai eu aujourd'hui 80 mises à jour à faire, j'ai lancé le tout sans m'en occuper seulement voilà c'est bloqué depuis un très long moment sur la fenêtre que vous pouvez voir ci-dessous. Il semble que cela ait à voir avec le paquet: libgl1-nvidia-legacy-304xx-glx:amd64 , bref un truc d'affichage.
Alors comme il est bien stipulé "Ne fermez pas cette fenêtre n'éteignez pas l'ordinateur" je suis un peu comme une banane là je peux pas éteindre mon pc avant d'aller ronfler. tongue

Merci pour le coup de main. big_smile

7JueiBv14OJM.png

Dernière modification par chessou (17-01-2017 11:04:44)

Hors ligne

#2 17-01-2017 06:15:24

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Driver propriétaire alerte ! Comme sous Ubuntu didonc. J'espère que tu aura pas peur du Tty (le truc noir en texte blanc !) ^^

Tu peux tenter de redémarrer et tenter une réparation "$ sudo apt-get -f install", qui bloquera au même endroit très probablement (ou pas, j'ai déjà vu des blocages de ce genre et une simple réparation avait suffit).

Tu peux aussi tenter de vérifier s'il essaie d'installer les bons paquets. J'essayerai ça :

$ aptitude update
#$ aptitude -r install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,') nvidia-kernel-dkms
#erreur, ça c'est pour un driver récent, il utilise les anciens "legacy"
aptitude -r install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,') nvidia-legacy-304xx-kernel-dkms
 



Probablement qu'il faudra d'abord désinstaller le paquet qui bloque, quitte à revenir dessus plus tard. - Dans le pire des cas les drivers libres prendront le relai et te laisseront pas juste du texte pendant que tu cherches une solution >.>

(Si ça marche pas, faudra ptéte revenir mieux vers la ressource de référence : <https://wiki.debian.org/NvidiaGraphicsD … cy_GPUs.29>)

Dernière modification par otyugh (17-01-2017 14:43:17)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#3 17-01-2017 07:15:27

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Bonjour smile
Et tu n'arrives pas à "descendre" sur Ok avec les flèches pour le valider avec la touche Entrée ?

Hors ligne

#4 17-01-2017 09:13:50

Péhä
Membre
Lieu : Maine et Loire
Inscription : 07-07-2016
Site Web

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Hello,

J'ai eu le me souci lors de la mise à jour vers jessie 8.7 avec ma Handylinux.

J'ai redémarré puis dans un terminal j'ai lancé:

apt-get update


apt-get dist-upgrade



La commande m'a alors indiqué une erreur et m'a invité à faire un:

dpkg --configure -a



et tout semble rouler.


Auia Pieridum peragro loca nullius ante trita solo.....  De rerum natura, Liber IV, Lucrece

Hors ligne

#5 17-01-2017 09:21:06

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

c'est une information , il faut répondre "OK"
surement "le module du driver qui est installé ne correspond pas a celui utilisé , il suffit de redémarrer la machine " etc ..............

il n'y que chalu qui a donné la bonne réponse ? smile
comme tu est en graphique , meme avec la souris tu dois pouvoir clicker sur "OK" ou se déplacer avec le clavier sur "OK" et taper "enter"

Dernière modification par robert2a (17-01-2017 09:27:26)

Hors ligne

#6 17-01-2017 09:24:46

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Salut smile

chalu a écrit :

Et tu n'arrives pas à "descendre" sur Ok avec les flèches pour le valider avec la touche Entrée ?

Il me semble qu'avec les interfaces de ce type, c'est la touche TAB pour descendre sur les boutons de validation.


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#7 17-01-2017 09:28:15

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

exactement wink  (ou la souris)

Hors ligne

#8 17-01-2017 09:34:56

frei
Membre
Lieu : Tours
Distrib. : Sid
Noyau : 4.9.0-1-amd64
(G)UI : Mate+Compiz
Inscription : 06-01-2017
Site Web

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Oui enfin là il n'y a que <OK> donc hit enter devrait se suffire à lui même smile

"Glory. Rotting flower." John Tardy 1989

Hors ligne

#9 17-01-2017 09:46:47

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

J' mise pour la tabulation pour parvenir au OK.

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#10 17-01-2017 09:50:04

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

smolski a écrit :

J' mise pour la tabulation pour parvenir au OK.

Combien de points-choco dessus ? out.gif


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

Hors ligne

#11 17-01-2017 09:52:38

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Ah ?
Faut mettre des points chocos, là ?
C'est un coupe gorge que ce post !
... ninja_vs_pirate_by_cookiemagik.gif

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#12 17-01-2017 09:54:02

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

smolski a écrit :

J' mise pour la tabulation pour parvenir au OK.



et si avec un click de souri ça fonctionne combien pour moi tongue  => []

Hors ligne

#13 17-01-2017 09:57:21

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

j'ai eu le même  pb avec Handylinux et la carte graphique Nvidia.
Cette carte m'avait déjà posé des pb à l'installation d'Handylinux.
J'avais du utiliser le tutoriel donné dans le wiki de HL pour la faire ''marcher''.

Ne pouvant pas faire autrement que de fermer la fenêtre (pas le temps) , à tout hasard j'ai redémarré la machine et rien d'anormal s'est passé en apparence.
Est ce que le firmware de la carte graphique a été mis à jour (?).
J'ai tendance à dire que non puisque tout fonctionne.

N'achetez pas Windaube !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#14 17-01-2017 10:03:03

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

pour Nvidia pas de firmware a mettre a jour
le pilote 304 est pour les cartes anciennes

il suffit de confirmer "OK" laisser finir , puir redémarrer la machine pour que la mise a jour du driver soit prise en compte

nota : certainement mise a jour du module du noyau pour la carte , prise en compte après un redémarrage (d' ou le message avec OK )

Dernière modification par robert2a (17-01-2017 10:07:09)

Hors ligne

#15 17-01-2017 10:52:42

chessou
Membre
Distrib. : HandyLinux-2.5.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce 4.12
Inscription : 17-01-2017

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Bonjour à tous et merci pour l'aide.

Je suis allé me coucher finalement j'étais trop fatigué, j'ai laissé le pc allumé du coup.

Donc, vous pouvez remballer les chocos lol, que ce soit à la souris, avec les flèches du clavier, entrée ou TAB rien n'y fait. Il semble que le système de mises à jour de Handy soit juste un visualiseur, on a pas la main dessus.

J'avais mis ce driver propriétaire pour les mêmes raisons que nounours en suivant le tuto de HandyLinux.

J'ai suivi  la technique de Péhä et tout est rentré dans l'ordre, j'avais peur de l'écran noir mais non, ouf. yes.gif :

Péhä a écrit :

Hello,

J'ai eu le me souci lors de la mise à jour vers jessie 8.7 avec ma Handylinux.

J'ai redémarré puis dans un terminal j'ai lancé:

apt-get update


apt-get dist-upgrade



La commande m'a alors indiqué une erreur et m'a invité à faire un:

dpkg --configure -a



et tout semble rouler.



Voilà merci pour tout et à bientôt. wink

Hors ligne

#16 17-01-2017 11:05:15

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

On appelle cela un bug smile

peut etre utiliser la console graphique (et apt-get ) dans ce cas pour les mises a jour (de laisser le système dans un état incertain aprés une mise a jour c'est risqué )
enfin c'est juste pour en discuter , je ne connais pas Handylinux

@otyugh

pour ta proposition , je pense que c est assez dangereux , tu ré-installe un driver en fonction d un noyau , si c est  a base de jessie , tu va installer le 340.xx et la catastrophe .
enfin ça m a choqué smile
mais bon wink  old_geek.gif

Dernière modification par robert2a (17-01-2017 11:10:37)

Hors ligne

#17 17-01-2017 11:17:39

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

/me range les chocolat df rassénéré.
... character0134.gif

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#18 17-01-2017 12:00:21

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

@nounours : vérifie les mises à jour au terminal pour vérifier que ce n'est pas bloqué et si besoin faire la manip de Péha
Je pensais qu'il y avait moyen maintenant de "répondre" dans le gestionnaire de mises à jour de HL
Il faudrait voir avec Thuban.

Hors ligne

#19 17-01-2017 14:02:45

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

robert2a a écrit :

pour ta proposition , je pense que c est assez dangereux , tu ré-installe un driver en fonction d un noyau , si c est  a base de jessie , tu va installer le 340.xx et la catastrophe .


Il va installer les driver de son noyau, après un reboot ça sera le noyaux qu'il utilise. Je ne vois pas le problème. :< (dit autrement : j'aimerais savoir pourquoi c'est un problème ?)

Cependant vu le problème, ce que je disais au début aurait marché, "apt-get install -f" fait aussi le "dpkg --configure -a", je sais pas pourquoi les gens insistent tellement pour passer par dpkg, mais bref yikes

Dernière modification par otyugh (17-01-2017 14:03:53)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#20 17-01-2017 14:19:22

Péhä
Membre
Lieu : Maine et Loire
Inscription : 07-07-2016
Site Web

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

Pour ma part j'ai utilisé dpkg car c'est la commande que m'a retourné dist-upgrade lors de la mise à jour. Je n'ai de préférence ni pour dpkg ni pour apt, je pratique volontiers le syncrétisme.

Auia Pieridum peragro loca nullius ante trita solo.....  De rerum natura, Liber IV, Lucrece

Hors ligne

#21 17-01-2017 14:22:55

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

tu lui propose une installation du driver avec un noyau 3.16 , ça va lui installer le 340 (alors que sa carte a besoin du 304 )

voir le tuto pour l installation d un vieux driver a partir de jessie (jessie qui est la base de HandyLinux je pense )

Hors ligne

#22 17-01-2017 14:40:23

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

C'est parce que j'ai copié la mauvaise ligne sous le tutoriel debian "pas legacy".

aptitude -r install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,') nvidia-legacy-304xx-kernel-dkms


était celle voulue, et là du coup tu ne devrais pas avoir d'objection.

Dernière modification par otyugh (17-01-2017 14:41:12)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#23 17-01-2017 15:40:12

chessou
Membre
Distrib. : HandyLinux-2.5.1
Noyau : Linux 3.16.0-4-amd64
(G)UI : xfce 4.12
Inscription : 17-01-2017

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

peace_flag.gif

Parfait parfait merci. big_smile

Hors ligne

#24 17-01-2017 15:51:32

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

T'en fais pas. S'agit pas que de dépanner pour moi, s'agit aussi d'apprendre des trucs egoïstement au passage lol

Dernière modification par otyugh (17-01-2017 15:52:43)


Agenda du libre : se faire dépanner/dépanner IRL ! Le libre n'est pas qu'un phénomène internet.
Framapad sur les balados : Emissions audio pro/amateur, votre radio sur-mesure !

Hors ligne

#25 18-01-2017 08:21:24

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : Mate, Xfce
Inscription : 11-02-2012

Re : [résolu] Problème de mise à jour bloquée: libgl1-nvidia-legacy-304xx-g

@chalu (post #18)
Bonjour

Pour ne prendre aucun risque, j'ai actionné l'outil de mise à jour HL.
Réponse :
''Le système est à jour''
Alors.....c'est peut être tout simplement un bug.

N'achetez pas Windaube !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

Pied de page des forums